package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.WorkShiftCompany;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface WorkShiftCompanyService {
	WorkShiftCompany get(String id);
	boolean exist(String id);
	int insert(WorkShiftCompany model);
	int update(WorkShiftCompany model);
	int delete(String id);
	List<WorkShiftCompany> list();
    List<WorkShiftCompany> findByShiftId(String shiftId);
	Page<WorkShiftCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count,List<Sort> sortList);
    List<String> findDistinctCompanyId();
}